<?xml version="1.0" encoding="UTF-8"?>
<book version="5.0" xml:id="ejb2.pg" xml:lang="en"
      xmlns="http://docbook.org/ns/docbook"
      xmlns:xlink="http://www.w3.org/1999/xlink"
      xmlns:xi="http://www.w3.org/2001/XInclude"
      xmlns:svg="http://www.w3.org/2000/svg"
      xmlns:mml="http://www.w3.org/1998/Math/MathML"
      xmlns:html="http://www.w3.org/1999/xhtml"
      xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>EJB 2.1 Programmer's Guide</title>

    <authorgroup>
      <author>
        <orgname>JOnAS Team</orgname>
      </author>
    </authorgroup>

    <legalnotice>
      <para>This work is licensed under the Creative Commons
      Attribution-ShareAlike License. To view a copy of this license,visit
      <link
      xlink:href="http://creativecommons.org/licenses/by-sa/2.0/deed.en">http://creativecommons.org/licenses/by-sa/2.0/deed.en</link>
      or send a letter to Creative Commons, 559 Nathan Abbott Way, Stanford,
      California 94305, USA.</para>
    </legalnotice>

    <copyright>
      <year>2008-2009</year>

      <holder>OW2 Consortium</holder>
    </copyright>

    <date>Feb 2008</date>
  </info>

  <preface xml:id="ejb2.pg.preface">
    <para>This guide explains how to program with EJB 2.1. To use the new EJB
    3.0 beans, you should refer to <link
    xlink:href="ejb3_programmer_guide.html">EJB 3.0 Programmer's
    Guide</link></para>
  </preface>

  <chapter xml:id="ejb2.session">
    <info>
      <title>Developing EJB 2.1 Session Beans</title>
    </info>

    <xi:include href="services/ejb2/session.xml" />

    <xi:include href="services/ejb2/session_tuning.xml" />
  </chapter>

  <chapter xml:id="ejb2.entity">
    <info>
      <title>Developing Entity Beans</title>
    </info>

    <xi:include href="services/ejb2/entity.xml" />

    <xi:include href="services/ejb2/db_access_bmp.xml" />

    <xi:include href="services/ejb2/db_access_cmp.xml" />

    <xi:include href="services/ejb2/entity_tuning.xml" />

    <xi:include href="services/ejb2/cmp2_usage.xml" />

    <xi:include href="services/dbm/jdbcdatasource.xml" />
  </chapter>

  <chapter xml:id="ejb2.mdb">
    <info>
      <title>Developing Message Driven Beans</title>
    </info>

    <xi:include href="services/ejb2/mdb.xml" />

    <xi:include href="services/ejb2/mdb_tuning.xml" />
  </chapter>

  <chapter>
    <info>
      <title>General Issues Around EJB 2.1</title>
    </info>

    <xi:include href="services/ejb2/transaction.xml" />

    <xi:include href="services/ejb2/environment.xml" />

    <xi:include href="services/ejb2/security.xml" />

    <xi:include href="services/ejb2/deploy.xml" />

    <xi:include href="services/ejb2/packaging.xml" />

    <xi:include href="services/ejb2/config.xml" />
  </chapter>

  <appendix>
    <info>
      <title>Appendix</title>
    </info>

    <xi:include href="xmltips.xml" />
  </appendix>
</book>
